package cn.edu.whu.boot.collection.dto;


import com.alibaba.fastjson.JSON;

import java.io.Serializable;

/**
 * 联合主键类，主要是方便返回数据给移动端
 */
public class CompositeKey implements Serializable{

    private static final long serialVersionUID = 6604820802345592864L;

    /**
     * 数据的主键
     */
    private Long polygonId;
    /**
     * 数据的版本
     */
    private int version;

    public Long getPolygonId(){
        return polygonId;
    }

    public void setPolygonId(Long polygonId){
        this.polygonId = polygonId;
    }

    public int getVersion(){
        return version;
    }

    public void setVersion(int version){
        this.version = version;
    }

    @Override
    public String toString(){
        return JSON.toJSONString(this);
    }
}
